security:
  encoders:
    BadgerCMS\Domain\User\ValueObject\AuthVO:
      algorithm: 'sodium'
      memory_cost:  500000
      time_cost:    10
    BadgerCMS\Domain\User\User:
      algorithm: 'sodium'
      memory_cost:  500000
      time_cost:    10

  # https://symfony.com/doc/current/security.html#where-do-users-come-from-user-providers
  providers:
    users:
      id: 'BadgerCMS\Application\Security\AuthProvider'
  firewalls:
    dev:
      pattern: ^/(_(profiler|wdt)|css|images|js)/
      security: false
    secured_area_admin:
      pattern: ^/admin
      provider: users
      context: main_security
      anonymous: ~
      user_checker: BadgerCMS\Application\Security\UserChecker
      form_login:
        login_path: /admin/pl/login
        check_path: /admin/pl/login
        default_target_path: admin_dashboard
        csrf_token_generator: security.csrf.token_manager
      logout:
        path: admin_logout
        target: admin_login
      remember_me:
        secret:   '%kernel.secret%'
        lifetime: 2629743 # 1 month in seconds
        path:     /
        secure: false #for prod it is overwrite
        httponly: true #for prod it is overwrite
        samesite: lax #for prod it is overwrite
    main:
      pattern: ^/
      context: main_security
      anonymous: true
      user_checker: BadgerCMS\Application\Security\UserChecker
      provider: users
      form_login:
        check_path: login_check
        login_path: login_check
        default_target_path: index
      logout:
        path: logout
        target: index

  role_hierarchy:
    ROLE_MODERATOR: ROLE_USER
    ROLE_ADMIN: [ROLE_MODERATOR]
    ROLE_IT_ADMIN: [ROLE_ADMIN]

  # Easy way to control access for large front of your default_site
  # Note: Only the *first* access control that matches will be used
  access_control:
    - { path: ^/admin/pl/login, roles: IS_AUTHENTICATED_ANONYMOUSLY }
    - { path: ^/admin, roles: ROLE_ADMIN }
